Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452950 - firefox does not start without fonts installed
Summary: firefox does not start without fonts installed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 08:05 UTC by Joel Andres Granados
Modified: 2018-04-11 17:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-30 18:48:38 UTC


Attachments (Terms of Use)
error message. (deleted)
2008-06-26 17:48 UTC, Joel Andres Granados
no flags Details

Description Joel Andres Granados 2008-06-26 08:05:50 UTC
Don't know if this is directly related to firefox. it probably isn't but I don't
know to which dependant component its related to.  I'm going to start it in
firefox and see what happens. 

Description of problem:
If you have Xorg setup, without the font packages, firefox will segfault.  I'm
pretty sure that this is just a matter of Requiring the font packages, but I'm
not sure what component needs to do this.

Version-Release number of selected component (if applicable):
firefox 3.  whatever is on f9 now.

How reproducible:
If you dont have the xorg font packages it Always seg faults.

Steps to Reproduce:
1. Install Xorg
2. Instal twm
3. Install firefox
4. Install xterm
5. exec firefox inside the xterm and see it segfault
  
Actual results:
It segfaults

Expected results:
firefox starts

Comment 1 Christopher Aillon 2008-06-26 13:40:24 UTC
Apps shouldn't require fonts... trying xorg?

Comment 2 Rex Dieter 2008-06-26 14:33:10 UTC
apps shouldn't segfault either. 

Comment 3 Matěj Cepl 2008-06-26 14:33:58 UTC
I agree.

Please install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Matěj Cepl 2008-06-26 14:58:47 UTC
I wonder if it has anything to do with bug badname-fixed-font

Comment 5 Joel Andres Granados 2008-06-26 17:48:59 UTC
Created attachment 310350 [details]
error message.

before I go uninstalling everything to reproduce this thing I have what I saw
in the terminal.  If that does not help you I'll do the hole debug info thing
to firefox.

Comment 6 Jan Kratochvil 2008-06-27 12:31:50 UTC
The missing font(s) is a DUPLICATE of Bug 257901.


Comment 7 Matěj Cepl 2008-06-27 17:05:31 UTC
(In reply to comment #6)
> The missing font(s) is a DUPLICATE of Bug 257901.

Correct, but this is about crashing firefox.

Comment 8 Christopher Aillon 2008-06-27 17:16:53 UTC
Not sure how this is a firefox bug when the other one plainly says that any app
that uses pango will not start if there are no fonts installed.  It's a pango
problem, or an x problem, or something else's problem.  Not firefox.

Comment 9 Christopher Aillon 2008-06-27 17:17:49 UTC
Also, fixing the summary to describe the problem.  The old summary had a
suggestion, and that suggestion is NOTABUG or WONTFIX.

Comment 10 Bug Zapper 2008-11-26 02:28:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Martin Stransky 2008-12-11 12:38:46 UTC
Reporter, can you please attach the back-trace of crash? We need to know if the crash occurs in firefox or if the core crashes somewhere in externally linked library (like pango/cairo).

Comment 12 Matěj Cepl 2009-01-28 01:59:16 UTC
Reporter, could you please reply to the previous question (and follow instructions in comment 3)? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 13 Joel Andres Granados 2009-01-28 11:03:17 UTC
yes, I am aware of this.  I'll try to squeeze it (the test) in next month (thing is that I have to reinstall, with no fonts... bla bla bla).  Sorry for the dealy.  Worst case is that the bug will get closed.

Comment 14 Joel Andres Granados 2009-01-30 18:48:38 UTC
Did the same procedure with f10 and stuff worked.  Closing the bug


Note You need to log in before you can comment on or make changes to this bug.